## IAnjutaSnippetsManager

IAnjutaSnippetsManager — Snippets Manager interface

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_snippets_manager_error_quark ()
gboolean | ianjuta_snippets_manager_insert ()

## Types and Values

#define | IANJUTA_SNIPPETS_MANAGER_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaSnippetsManager

## Includes

    #include <libanjuta/interfaces/ianjuta-macro.h>

## Description

## Functions

### ianjuta_snippets_manager_error_quark ()

    GQuark
    ianjuta_snippets_manager_error_quark (void);

### ianjuta_snippets_manager_insert ()

    gboolean
    ianjuta_snippets_manager_insert (IAnjutaSnippetsManager *obj,
                                     const gchar *key,
                                     gboolean editing_session,
                                     GError **err);

Insert snippet in the current editor.

#### Parameters

key | Trigger-key of the snippet |
editing_session | If after inserting the snippet there should be an editing session. Mark as FALSE if not interested in the dynamic capabilities of the snippet. |
obj | Self |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_SNIPPETS_MANAGER_ERROR

    #define IANJUTA_SNIPPETS_MANAGER_ERROR ianjuta_snippets_manager_error_quark()